Mailinglist Archive: yast-devel (65 mails)

< Previous Next >
Re: [yast-devel] Re: [yast-commit] Build failed in Jenkins: yast-autoinstallation-master #153
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

On 6.5.2015 10:53, Imobach González Sosa wrote:
El Miércoles, 6 de mayo de 2015 09:52:19 Imobach González Sosa
escribió:
El Miércoles, 6 de mayo de 2015 10:49:33 Lukas Ocilka escribió:
On 5.5.2015 19:42, Josef Reidinger wrote:
If it failed in jenkins it means, that it missing in build
requires. If it fail on your pc, then it is problem with
missing dependency.

I'm working on the fix right now.

Also I was taking a look at that (it's something new for me). I
guess that the package/autoyast2.spec is missing "BuildRequires:
libxslt" (it has a Requires: libxslt). Or is it more complex than
that?

Oh, you've just submitted a PR :)

Yes, to explain it...

'BuildRequires' defines what is installed in the build system while
building the package. And part of the build process is also running
test cases, so anything you need for testcases to pass, needs to be in
BuildRequires.

'Requires' defines the RPM dependency of the resulting RPM when it's
installed. Please, check that libxslt is really needed there.

And that's it :)
Lukas

- --

Lukas Ocilka, Systems Management (Yast) Team Leader
SLE Department, SUSE Linux
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v2

iEYEARECAAYFAlVJ15YACgkQVSqMdRCqTiznBACaAw1DVVQczBXzToMcMg0NSuBB
zIsAn3vXKFaqaip4ovPSEMm9hpbHO/lX
=btVx
-----END PGP SIGNATURE-----
--
To unsubscribe, e-mail: yast-devel+unsubscribe@xxxxxxxxxxxx
To contact the owner, e-mail: yast-devel+owner@xxxxxxxxxxxx

< Previous Next >